---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/librawmonexit001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51DC0, symBinAddr: 0xE310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53D00, symBinAddr: 0x10250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x540F0, symBinAddr: 0x10640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55090, symBinAddr: 0x115E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x550A0, symBinAddr: 0x115F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F8F0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F8F4, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F8F8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FA50, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FB08, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FB0C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FB10, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FB14, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FB18, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FB20, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FB38, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FB40, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FB48, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FB50, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FB58, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FB9A, symBinAddr: 0xC1BA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FBA0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL8monitors, symObjAddr: 0x4FBB0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51BB0, symBinAddr: 0xE1D0, symSize: 0x0 }
  - { offsetInCU: 0x913D, offset: 0x913D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51BB8, symBinAddr: 0xE1D8, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4590, symSize: 0x80 }
  - { offsetInCU: 0x9224, offset: 0x9224, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x44E0, symSize: 0xB0 }
  - { offsetInCU: 0x927F, offset: 0x927F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x43E0, symSize: 0x100 }
  - { offsetInCU: 0x9512, offset: 0x9512, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4610, symSize: 0x220 }
  - { offsetInCU: 0x96F7, offset: 0x96F7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4830, symSize: 0xA0 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x48D0, symSize: 0x110 }
  - { offsetInCU: 0x98A0, offset: 0x98A0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x49E0, symSize: 0x150 }
  - { offsetInCU: 0x9A1D, offset: 0x9A1D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4B30, symSize: 0x30 }
  - { offsetInCU: 0x9ADE, offset: 0x9ADE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4B60, symSize: 0x150 }
  - { offsetInCU: 0x9CD6, offset: 0x9CD6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4CB0, symSize: 0x160 }
  - { offsetInCU: 0x9E62, offset: 0x9E62, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4E10, symSize: 0x1B0 }
  - { offsetInCU: 0xA07D, offset: 0xA07D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4FC0, symSize: 0xA0 }
  - { offsetInCU: 0xA14C, offset: 0xA14C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5060, symSize: 0x20 }
  - { offsetInCU: 0xA183, offset: 0xA183, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5080, symSize: 0x20 }
  - { offsetInCU: 0xA1BA, offset: 0xA1BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x50A0, symSize: 0x20 }
  - { offsetInCU: 0xA329, offset: 0xA329, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x50C0, symSize: 0x1A0 }
  - { offsetInCU: 0xA64F, offset: 0xA64F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5260, symSize: 0x80 }
  - { offsetInCU: 0xA718, offset: 0xA718, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x52E0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2AD, offset: 0xB2AD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA210, symBinAddr: 0x6680, symSize: 0xB0 }
  - { offsetInCU: 0xB324, offset: 0xB324, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5980, symSize: 0x70 }
  - { offsetInCU: 0xB3C0, offset: 0xB3C0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x59F0, symSize: 0xA0 }
  - { offsetInCU: 0xB4CB, offset: 0xB4CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A90, symSize: 0x40 }
  - { offsetInCU: 0xB5C1, offset: 0xB5C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5AD0, symSize: 0x2B0 }
  - { offsetInCU: 0xB967, offset: 0xB967, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D80, symSize: 0xC0 }
  - { offsetInCU: 0xBAAD, offset: 0xBAAD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5E40, symSize: 0x10 }
  - { offsetInCU: 0xBB6F, offset: 0xBB6F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5E50, symSize: 0x220 }
  - { offsetInCU: 0xBE6C, offset: 0xBE6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6070, symSize: 0x10 }
  - { offsetInCU: 0xBEC9, offset: 0xBEC9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6080, symSize: 0xF0 }
  - { offsetInCU: 0xC016, offset: 0xC016, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x6170, symSize: 0x10 }
  - { offsetInCU: 0xC073, offset: 0xC073, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9D10, symBinAddr: 0x6180, symSize: 0x280 }
  - { offsetInCU: 0xC1D8, offset: 0xC1D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RawMonitorExit_rawmonexit001_check, symObjAddr: 0x9F90, symBinAddr: 0x6400, symSize: 0x280 }
  - { offsetInCU: 0xC33F, offset: 0xC33F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2C0, symBinAddr: 0x6730, symSize: 0x36A }
...
